All Objects| Statics| Objects| KJSEmbed Objects| Qt Objects| KDE Objects| Exceptions| Uncreatable Objects

# SqlQuery

Bindings for the SqlQuery class.

## Properties

None

## Methods

child(...)
childCount(...)
children(...)
className(...)
connect(...)
deleteLater(...)
disconnect(...)
exec(...)
first(...)
getAttribute(...)
getElementById(...)
getParentNode(...)
hasAttribute(...)
isNull(...)
isWidgetType(...)
last(...)
next(...)
parent(...)
prev(...)
properties(...)
seek(...)
seek2(...)
setAttribute(...)
signals(...)
slots(...)
superClassName(...)
value(...)

## Qt Properties

Type | Name | Value
--- | --- | ---
bool | active | false
int | at | -1
QString | lastError |
QString | lastQuery |
QCString | name | unnamed
int | numRowsAffected | -1
bool | select | false
int | size | -1
bool | valid | false

## Qt Signals

destroyed()
destroyed(QObject*)

## Qt Slots

void | cleanupEventFilter(QObject*)
void | deleteLater()
bool | exec(const QString&)
bool | first()
bool | isNull(int)
bool | last()
bool | next()
bool | prev()
bool | seek(int)
bool | seek(int,bool)
QVariant | value(int)